<?php
	include("conexao.php");
	include_once("functions.php");
	include_once(Idioma(1));

	if(ProtegePag() == true){
	global $_TRA;
	
	$ColunaAdmin = array('TesteBloquear', 'TesteExcluir');
	$VerificarAcesso = VerificarAcesso('teste', $ColunaAdmin);

	$AdminBloquear = $VerificarAcesso[0];
	$AdminExcluir = $VerificarAcesso[1];
 
	if( ($AdminBloquear == 'S') || ($AdminExcluir == 'S') ){

	$CadUserOnline = InfoUser(2);
	$ArvoreAdminOnline = ArvoreAdminRev($CadUserOnline);
	$ArvoreAdminOnline[] = $CadUserOnline;
	
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	$camposMarcados = (isset($_POST['camposMarcados'])) ? $_POST['camposMarcados'] : '';
	$status = (isset($_POST['status'])) ? $_POST['status'] : '';
	$rev = (isset($_POST['rev'])) ? $_POST['rev'] : '';
	$EditarPerfil = (isset($_POST['EditarPerfil'])) ? $_POST['EditarPerfil'] : '';
	
	if( empty($EditarPerfil) && ($status == "perfil") ){
		echo MensagemAlerta($_TRA['erro'], $_TRA['sepmup'], "danger");
	}	
	elseif(empty($camposMarcados)){
		echo MensagemAlerta($_TRA['erro'], $_TRA['spmuu'], "danger");
	}
	elseif(empty($status)){
		echo MensagemAlerta($_TRA['erro'], $_TRA['spmuo'], "danger");
	}
	else{	
		
		if( $status == "perfil" ){
			$profile = trim(implode(" ", $EditarPerfil));
			$EditarPerfil = empty($profile) ? "" : $profile;
		}
	
		for($i = 0; $i < count($camposMarcados); $i++){
			
			$SQLUser = "SELECT CadUser FROM teste WHERE usuario = :usuario";
			$SQLUser = $painel_user->prepare($SQLUser);
			$SQLUser->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR);
			$SQLUser->execute();
			$LnUser = $SQLUser->fetch();
	
			if(!in_array($LnUser['CadUser'], $ArvoreAdminOnline)) {
				echo MensagemAlerta($_TRA['erro'], str_replace("USER_TAG",$camposMarcados[$i],$_TRA['npounpav']), "danger");
				exit;
			}
			else{
				
				if( $status == "perfil" ){
						$SQL = "UPDATE teste SET
								perfil = :perfil
            					WHERE usuario = :usuario";
						$SQL = $painel_user->prepare($SQL);
						$SQL->bindParam(':perfil', $EditarPerfil, PDO::PARAM_STR);
						$SQL->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR);
						$SQL->execute();
				}
				elseif( $status == "arvore" ){
						if($rev != $camposMarcados[$i]){
						$SQL = "UPDATE teste SET
								CadUser = :CadUser
            					WHERE usuario = :usuario";
						$SQL = $painel_user->prepare($SQL);
						$SQL->bindParam(':CadUser', $rev, PDO::PARAM_STR);
						$SQL->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR);
						$SQL->execute();
						}
				}
				elseif( ($status == "bloquear") && ($AdminBloquear == 'S')){
					$bloqueado = "S";
					$SQL = "UPDATE teste SET
					bloqueado = :bloqueado
           			WHERE usuario = :usuario";
					$SQL = $painel_user->prepare($SQL);
					$SQL->bindParam(':bloqueado', $bloqueado, PDO::PARAM_STR); 
					$SQL->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR); 
					$SQL->execute(); 
				}
				elseif( ($status == "desbloquear") && ($AdminBloquear == 'S')){
					$bloqueado = "N";
					$SQL = "UPDATE teste SET
					bloqueado = :bloqueado
            		WHERE usuario = :usuario";
					$SQL = $painel_user->prepare($SQL);
					$SQL->bindParam(':bloqueado', $bloqueado, PDO::PARAM_STR); 
					$SQL->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR); 
					$SQL->execute();	
				}
				elseif( ($status == "excluir") && ($AdminExcluir == 'S') ){
					//Deletar Usuário
					$ExcluirPorUsuario = ExcluirPorUsuario($camposMarcados[$i]);
					$SQL = "DELETE FROM teste WHERE usuario = :usuario";
					$SQL = $painel_user->prepare($SQL);
					$SQL->bindParam(':usuario', $camposMarcados[$i], PDO::PARAM_STR); 
					$SQL->execute(); 
				}
			}
		}
	
	
	if(empty($SQL)){
		echo MensagemAlerta($_TRA['erro'], $_TRA['erropro'], "danger", "index.php?p=teste");
	}
	else{
		echo MensagemAlerta($_TRA['sucesso'], $_TRA['arcs'], "success", "index.php?p=teste");
	}
	
	}
	}
	
	}else{
		echo Redirecionar('index.php');
	}
	}else{
		echo Redirecionar('login.php');
	}	

?>